Subject: Re: [PATCH 1/2] ACPI Video: Ignore devices that aren't present in hardware

From: Matthew Garrett <[email-masked]>
Date: Thu, 3 Jul 2008 20:24:05 +0100

On Thu, Jul 03, 2008 at 06:21:34PM +0200, Yves-Alexis Perez wrote:

> I dont know if it's the same thing, but I remember at one time that when
> pressing my brightness keys (on a T61, intel graphics), the acpi event
> appeared in /proc/acpi/event like 1 second later. I didn't check
> precisely, but it could really be those 750ms. Irrc, this was only
> happening after first suspend to ram.

Yes, it's the same issue.

> Do these patches mean that, maybe in 2.6.27, brightness keys would work
> directly from kernel, without needing hal, gnome-power-manager or
> anything else, like X?

Right.

> I can try those patches and report back, but on which kernel should I
> apply them? 2.6.26-rc8? Or some git?

It's against drm git - search the dri-devel archives for the patch.

-- 
Matthew Garrett | [email-masked]